Bug 172254 - ipw2200: Firmware error detected. Restarting.
ipw2200: Firmware error detected. Restarting.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-01 18:04 EST by Rodd Clarkson
Modified: 2007-11-30 17:11 EST (History)
5 users (show)

See Also:
Fixed In Version: 2.6.15-1.1830_FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-13 09:14:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Firmware errrors related to ipw2200 (52.27 KB, text/plain)
2005-11-05 02:11 EST, Rodd Clarkson
no flags Details

  None (edit)
Description Rodd Clarkson 2005-11-01 18:04:13 EST
Description of problem:

Watching the /var/log/messages and saw this:

-----------------------------------

Nov  2 10:03:15 localhost kernel: ipw2200: Firmware error detected.  Restarting.
Nov  2 10:03:15 localhost kernel: ipw2200: Firmware error detected.  Restarting.
Nov  2 10:03:16 localhost kernel: ipw2200: failed to send ASSOCIATE command
Nov  2 10:03:18 localhost dhclient: Internet Systems Consortium DHCP Client
V3.0.3-RedHat
Nov  2 10:03:18 localhost dhclient: Copyright 2004-2005 Internet Systems Consortium.
Nov  2 10:03:18 localhost dhclient: All rights reserved.
Nov  2 10:03:18 localhost dhclient: For info, please visit
http://www.isc.org/products/DHCP
Nov  2 10:03:18 localhost dhclient:
Nov  2 10:03:18 localhost dhclient: Listening on LPF/eth1/00:13:ce:12:c9:ec
Nov  2 10:03:18 localhost dhclient: Sending on   LPF/eth1/00:13:ce:12:c9:ec
Nov  2 10:03:18 localhost dhclient: Sending on   Socket/fallback
Nov  2 10:03:18 localhost dhclient: DHCPRELEASE on eth1 to 192.168.1.254 port 67
Nov  2 10:03:19 localhost NetworkManager: compute_nameservers: assertion `config
!= NULL' failed
Nov  2 10:03:19 localhost avahi-daemon[2226]: Withdrawing address 192.168.1.2 on
eth1.
Nov  2 10:03:19 localhost avahi-daemon[2226]: Interface eth1.2 no longer relevant.
Nov  2 10:03:19 localhost avahi-daemon[2226]: IP_DROP_MEMBERSHIP failed: No such
device
Nov  2 10:03:22 localhost kernel: eth1: duplicate address detected!
Nov  2 10:03:25 localhost dhclient: Internet Systems Consortium DHCP Client
V3.0.3-RedHat
Nov  2 10:03:25 localhost dhclient: Copyright 2004-2005 Internet Systems Consortium.
Nov  2 10:03:25 localhost dhclient: All rights reserved.
Nov  2 10:03:25 localhost dhclient: For info, please visit
http://www.isc.org/products/DHCP
Nov  2 10:03:25 localhost dhclient:
Nov  2 10:03:25 localhost dhclient: Listening on LPF/eth1/00:13:ce:12:c9:ec
Nov  2 10:03:25 localhost dhclient: Sending on   LPF/eth1/00:13:ce:12:c9:ec
Nov  2 10:03:25 localhost dhclient: Sending on   Socket/fallback
Nov  2 10:03:25 localhost dhclient: DHCPDISCOVER on eth1 to 255.255.255.255 port
67 interval 7
Nov  2 10:03:25 localhost dhclient: DHCPOFFER from 192.168.1.254
Nov  2 10:03:25 localhost dhclient: DHCPREQUEST on eth1 to 255.255.255.255 port 67
Nov  2 10:03:25 localhost dhclient: DHCPACK from 192.168.1.254
Nov  2 10:03:25 localhost dhcdbd: message_handler: message handler not found
under /com/redhat/dhcp/eth1 for sub-path eth1.dbus.get.domain_name
Nov  2 10:03:25 localhost NetworkManager: <WARNING>       (): get_ip4_string():
error calling 'domain_name', DHCP daemon returned error
'org.freedesktop.DBus.Error.UnknownMethod', message 'Method "domain_name" with
signature "" on interface "com.redhat.dhcp.dbus.get" doesn't exist '.
Nov  2 10:03:25 localhost avahi-daemon[2226]: New relevant interface eth1.2.
Nov  2 10:03:25 localhost dhclient: bound to 192.168.1.2 -- renewal in 19812
seconds.
Nov  2 10:03:25 localhost avahi-daemon[2226]: IP_ADD_MEMBERSHIP failed: Address
already in use
Nov  2 10:03:25 localhost avahi-daemon[2226]: Registering new address
192.168.1.2 on eth1.
Nov  2 10:03:27 localhost kernel: eth1: duplicate address detected!

-----------------------------------

The NetworkManager applet disconnected and then reconnected (which I guess makes
sense).

Version-Release number of selected component (if applicable):

kernel-2.6.14-1.1635_FC5
Comment 1 Dave Jones 2005-11-04 16:25:46 EST
the ipw driver that got merged upstream is an older version to what was
previously included in Fedora.  Due to this, you'll need to make sure you have
the earlier version of the firmware installed. (Whichever one matches the 1.0.0
release)
Comment 2 Rodd Clarkson 2005-11-04 16:47:24 EST
Dave,

I've got both 2.2 and 2.3 firmware installed.

[rodd@localhost firmware]$ ls /lib/firmware/
ipw-2.2-boot.fw        ipw-2.3-boot.fw        ipw-2.3-sniffer.fw
ipw-2.2-bss.fw         ipw-2.3-bss.fw         ipw-2.3-sniffer_ucode.fw
ipw-2.2-bss_ucode.fw   ipw-2.3-bss_ucode.fw   LICENSE_ipw-2.2
ipw-2.2-ibss.fw        ipw-2.3-ibss.fw        LICENSE_ipw-2.3
ipw-2.2-ibss_ucode.fw  ipw-2.3-ibss_ucode.fw

A quick look at http://ipw2200.sourceforge.net/firmware.php shows:

# driver versions v0.19-v1.0.3: (NOTE: v1.0.0 is in 2.6.14-rc1 and -rc2)
firmware v2.2
# driver versions v1.0.4-v1.0.6: firmware v2.3 

Is it worth reopening this bug?
Comment 3 Dave Jones 2005-11-04 17:00:28 EST
Bill, anything obviously wrong there ?
I don't have one of these, so the userspace side of things is lost on me.
Comment 4 Bill Nottingham 2005-11-04 17:02:24 EST
Firmware error usually just implies a generic driver/firmware bug - it's
unrelated to any version mismatches.
Comment 5 Rodd Clarkson 2005-11-05 02:11:56 EST
Created attachment 120752 [details]
Firmware errrors related to ipw2200
Comment 6 Rodd Clarkson 2005-11-08 18:24:54 EST
This is still a problem with all kernels up to the current kernel (1654).
Comment 7 Rodd Clarkson 2005-11-11 22:08:48 EST
Hmmm, noticed that the 1660 kernel needed a new firmware.  Not sure if this is
2.3 or 2.4, but the problem with the connection dying seems to have resolved
itself with this kernel (which is good news).

I'm going to close the bug, and will reopen if this becomes a problem again.
Comment 8 Luke Macken 2005-11-12 02:29:07 EST
I'm definitely grateful to see that kernel 1660 finally lets me see access point
signal strength (and to not have a dmesg full of errors about deprecated drivers
either).  The connection seems stable as well (aside from nm-applet crashing
upon connection to vpn).  However, I'm now getting the following errors in my dmesg:

     ipw2200: Firmware error detected.  Restarting.
     ipw2200: Sysfs 'error' log captured.
     ipw2200: Unknown notification: subtype=40,flags=0xa0,size=40
     ipw2200: Unknown notification: subtype=40,flags=0xa0,size=40
Comment 9 Rodd Clarkson 2005-11-28 04:20:04 EST
Okay, I'm seeing the same problem with the current kernel for fedora core 4.

kernel-2.6.14-1.1637_FC4

The connection dies under the same conditions (on both my wife and my laptop)
using the same firmware.

This resolved when rawhide moved to 2.6.15 and as such moved to a newer version
of the ipw2200 drivers.  Any chance of patching this driver into the current FC4
kernels and testing (and then releasing)?

Comment 10 Rodd Clarkson 2005-11-30 17:32:27 EST
This is still a problem with kernel-2.6.14-1.1644_FC4

Comment 11 Bill Nottingham 2005-11-30 17:34:25 EST
What happens if you add 'options ipw2200 hwcrypto=0' and reload the module?
Comment 12 Rodd Clarkson 2005-11-30 18:15:48 EST
Right, I'm unsophisticated, so I had to reboot to do this (after adding the line
in /etc/modprobe.conf)

After a restart, wireless was not working and dmesg showed:

b44.c:v0.95 (Aug 3, 2004)
ACPI: PCI Interrupt Link [LNKC] enabled at IRQ 9
PCI: setting IRQ 9 as level-triggered
ACPI: PCI Interrupt 0000:03:00.0[A] -> Link [LNKC] -> GSI 9 (level, low) -> IRQ 9
eth0: Broadcom 4400 10/100BaseT Ethernet 00:12:3f:db:75:48
ieee80211_crypt: registered algorithm 'NULL'
ipw2200: Unknown parameter `hwcrypto'

If you can give me some clues on how to reload modules without a restart then
I'm more than happy to learn how.
Comment 13 Bill Nottingham 2005-11-30 21:54:03 EST
Whoops, don't mind me. That parameter's only valid on the rawhide version of the
driver. Carry on. :)
Comment 14 Rudolf Kastl 2005-12-01 13:02:26 EST
just had to remove the hwcrypto option in modprobe.conf happens on fc4 for me
Comment 15 Rodd Clarkson 2005-12-14 00:53:21 EST
Why is this still broken?

I don't mean to be rude, but we have a situation where the network connection
dies consistently in a stable, released version of Fedora (FC4) and it doesn't
appear that anything it being done.

If this was rawhide then 'fair cop' and I'm more than happy to deal until it's
addressed.  But this is a problem on a stable product and there is a possible
fix (updating the current kernel to use a more recent version of the ipw2200
driver).

This would be akin to having a problem in a NE2K network card and just leaving
it there even though a fix is available.

I'm sorry if I sound a bit peeved, but I've got my wife on my back about this
(and it's driving me nuts too).

Could we get a kernel into testing some time soon?
Comment 16 Dave Jones 2005-12-14 01:13:08 EST
the next update is likely going to be a rebase to 2.6.15, which has the updated
driver.  It hasn't been backported yet largely due to time reasons.

John Linville maintains a set of kernel rpms with updated network drivers from
upstream. Whilst you're waiting for the rebase to happen, you may find these
work for you, if not, I'm sure he'd be interested in hearing about it.

http://people.redhat.com/linville/kernels/fc4/
Comment 17 John W. Linville 2005-12-14 09:59:46 EST
Actually, the ones you want are probably these: 
 
   http://people.redhat.com/linville/kernels/fedora-netdev/ 
 
The other ones are more for miscellaneous fixes and experimentation on my 
part... :-) 
 
Rodd, I hope that helps...I hear Aussie wives can be brutal... :-) 
Comment 18 Dave Jones 2006-02-03 02:32:21 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 19 Rodd Clarkson 2006-02-12 16:12:38 EST
Dave,

All seems very good with the 2.6.15-1.1830_FC4.

ipw2200 has been solid, and synaptics (a related issue) works.


R.

Note You need to log in before you can comment on or make changes to this bug.